*导入数据
cd "C:\Users\haojiang\Desktop\中国工业经济数据附件"
use C:\Users\haojiang\Desktop\中国工业经济数据附件\data.dta, clear

*对控制变量进行对数处理
gen lnpgdp = log(pgdp)
gen lnstru = log(stru)
gen lnpopulation = log(population)
gen lnfix = log(fix)
gen lnfdi = log(fdi)
gen lnrd = log(rd)
gen lnfinance= log(finance)

global control "lnpgdp lnstru lnpopulation lnfix lnfdi lnrd lnfinance"

*对被解释变量和核心解释变量进行对数处理
foreach var of varlist firm_noai_ratio firm_ai_ratio ratio firm_noai_ratio_01 firm_ai_ratio_01 ratio_01 firm_noai_ratio_02 firm_ai_ratio_02 ratio_02 firm_noai_ratio_03 firm_ai_ratio_03 ratio_03 firm_noai_ratio_04 firm_ai_ratio_04 ratio_04 firm_noai_ratio_05 firm_ai_ratio_05 ratio_05{
	gen ln`var' = log(`var')
}

gen lnint_1 = log(int_1)
gen lnint_3 = log(int_3)
gen lnint_1_0 = log(int_1_0)
gen lnint_3_0 = log(int_3_0)

xtset id year

*表1
xtreg lnfirm_ai_ratio lnint_3 $control i.year,fe vce(cluster proyear) nonest
est store m1
xtreg lnfirm_noai_ratio lnint_3 $control i.year,fe vce(cluster proyear) nonest
est store m2
xtreg lnratio lnint_3 $control i.year,fe vce(cluster proyear) nonest
est store m3
xtreg lnfirm_ai_ratio lnint_3_0 $control i.year,fe vce(cluster proyear) nonest
est store m4
xtreg lnfirm_noai_ratio lnint_3_0 $control i.year,fe vce(cluster proyear) nonest
est store m5
xtreg lnratio lnint_3_0 $control i.year,fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",replace scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表1 基准回归结果") mtitles("Ai" "NoAi" "Ratio" "Ai" "NoAi"   "Ratio") star(* 0.1 ** 0.05 *** 0.001)


*表2 工具变量回归
tab year,gen(y)
tab id,gen(i)
gen lnetr = log(etr)
*该命令ivreg2h选择stata返回的第三组结果（即lnetr和异方差工具变量共同回归的结果）
*(1-3列结果)
ivreg2h lnfirm_ai_ratio (lnint_3 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first
ivreg2h lnfirm_noai_ratio (lnint_3 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first
ivreg2h lnratio (lnint_3 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first
*(4-6列结果)
ivreg2h lnfirm_ai_ratio_03 (lnint_1 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first
ivreg2h lnfirm_noai_ratio_03 (lnint_1 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first
ivreg2h lnratio_03 (lnint_1 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first
*(7-12列结果)
ivreg2h lnfirm_ai_ratio (lnint_3_0 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first
ivreg2h lnfirm_noai_ratio (lnint_3_0 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first
ivreg2h lnratio (lnint_3_0 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first
ivreg2h lnfirm_ai_ratio_03 (lnint_1_0 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first
ivreg2h lnfirm_noai_ratio_03 (lnint_1_0 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first
ivreg2h lnratio_03 (lnint_1_0 = lnetr) $control  y1-y14 i1-i283,cluster(proyear) first


*表3
*（1-4列结果）
xtreg lnskill lnint_3 $control i.year,fe cluster(proyear) nonest
est store m1
xtreg lnfirm_ai_ratio lnint_3 lnskill $control i.year,fe cluster(proyear) nonest
est store m2
xtreg lnfirm_noai_ratio lnint_3 lnskill $control i.year,fe cluster(proyear) nonest
est store m3
xtreg lnratio lnint_3 lnskill $control i.year,fe cluster(proyear) nonest
est store m4
reg2docx m1 m2 m3 m4 using "实证回归结果.docx",replace scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表3 调整要素配置结构机制检验") mtitles("lnfactor" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)
*（5-8列结果）
xtreg lnequipment lnint_3 $control i.year,fe cluster(proyear) nonest
est store m1
xtreg lnfirm_ai_ratio lnint_3 lnequipment $control i.year,fe cluster(proyear) nonest
est store m2
xtreg lnfirm_noai_ratio lnint_3 lnequipment $control i.year,fe cluster(proyear) nonest
est store m3
xtreg lnratio lnint_3 lnequipment $control i.year,fe cluster(proyear) nonest
est store m4
reg2docx m1 m2 m3 m4 using "实证回归结果.docx",append scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表3 调整要素配置结构机制检验") mtitles("lnfactor" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)
*（9-12列结果）
xtreg lnfactor lnint_3 $control i.year,fe cluster(proyear) nonest
est store m1
xtreg lnfirm_ai_ratio lnint_3 lnfactor $control i.year,fe cluster(proyear) nonest
est store m2
xtreg lnfirm_noai_ratio lnint_3 lnfactor $control i.year,fe cluster(proyear) nonest
est store m3
xtreg lnratio lnint_3 lnfactor $control i.year,fe cluster(proyear) nonest
est store m4
reg2docx m1 m2 m3 m4 using "实证回归结果.docx",append scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表3 调整要素配置结构机制检验") mtitles("lnfactor" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)

*表4
*（1-4列结果）
xtreg lntfp lnint_3 $control i.year,fe cluster(proyear) nonest
est store m1
xtreg lnfirm_ai_ratio lnint_3 lntfp $control i.year,fe cluster(proyear) nonest
est store m2
xtreg lnfirm_noai_ratio lnint_3 lntfp $control i.year,fe cluster(proyear) nonest
est store m3
xtreg lnratio lnint_3 lntfp $control i.year,fe cluster(proyear) nonest
est store m4
reg2docx m1 m2 m3 m4 using "实证回归结果.docx",replace scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop( 2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表4 生产效率提升机制效应") mtitles("lnproduct" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)
*（5-8列结果）
xtreg lncapital lnint_3 $control i.year,fe cluster(proyear) nonest
est store m1
xtreg lnfirm_ai_ratio lnint_3 lncapital $control i.year,fe cluster(proyear) nonest
est store m2
xtreg lnfirm_noai_ratio lnint_3 lncapital $control i.year,fe cluster(proyear) nonest
est store m3
xtreg lnratio lnint_3 lncapital $control i.year,fe cluster(proyear) nonest
est store m4
reg2docx m1 m2 m3 m4 using "实证回归结果.docx",append scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop( 2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表4 生产效率提升机制效应") mtitles("lnproduct" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)
*（9-12列结果）
xtreg lnlabor lnint_3 $control i.year,fe cluster(proyear) nonest
est store m1
xtreg lnfirm_ai_ratio lnint_3 lnlabor $control i.year,fe cluster(proyear) nonest
est store m2
xtreg lnfirm_noai_ratio lnint_3 lnlabor $control i.year,fe cluster(proyear) nonest
est store m3
xtreg lnratio lnint_3 lnlabor $control i.year,fe cluster(proyear) nonest
est store m4
reg2docx m1 m2 m3 m4 using "实证回归结果.docx",append scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop( 2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表4 生产效率提升机制效应") mtitles("lnproduct" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)

*表5
*（1-6列结果）
xtreg lnfirm_ai_ratio_01 lnint_3 $control i.year, fe vce(cluster proyear) nonest
est store m1
xtreg lnfirm_noai_ratio_01 lnint_3 $control i.year, fe vce(cluster proyear) nonest
est store m2
xtreg lnratio_01 lnint_3 $control i.year, fe vce(cluster proyear) nonest
est store m3
xtreg lnfirm_ai_ratio_02 lnint_3 $control i.year, fe vce(cluster proyear) nonest
est store m4
xtreg lnfirm_noai_ratio_02 lnint_3 $control i.year, fe vce(cluster proyear) nonest
est store m5
xtreg lnratio_02 lnint_3 $control i.year, fe vce(cluster proyear) nonest
est store m6 
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",replace scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表5 企业规模异质性") mtitles("Ai" "NoAi" "Ratio" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001) 
*（7-12列结果）
xtreg lnfirm_ai_ratio_04 lnint_1 $control i.year, fe vce(cluster proyear) nonest
est store m1
xtreg lnfirm_noai_ratio_04 lnint_1 $control i.year, fe vce(cluster proyear) nonest
est store m2
xtreg lnratio_04 lnint_1 $control i.year, fe vce(cluster proyear) nonest
est store m3
xtreg lnfirm_ai_ratio_05 lnint_1 $control i.year, fe vce(cluster proyear) nonest
est store m4
xtreg lnfirm_noai_ratio_05 lnint_1 $control i.year, fe vce(cluster proyear) nonest
est store m5
xtreg lnratio_05 lnint_1 $control i.year, fe vce(cluster proyear) nonest
est store m6 
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",append scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表5 企业规模异质性") mtitles("Ai" "NoAi" "Ratio" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001) 

*表6
*-----------------人工智能制造业-----------------*
**(1)京津冀城市圈
xtreg lnfirm_ai_ratio lnint_1_0 $control i.year if city == "北京市" | city == "天津市" | city == "张家口市" | city == "承德市" | city == "秦皇岛市" | city == "唐山市" | city == "沧州市" | city == "衡水市" | city == "廊坊市" | city == "保定市" | city == "石家庄市" | city == "邢台市" | city == "邯郸市" | city == "安阳市",fe vce(cluster proyear) nonest
est store m1
**(2)长三角城市圈
xtreg lnfirm_ai_ratio lnint_1_0 $control i.year if city == "上海市" | city == "南京市" | city == "无锡市" | city == "常州市" | city == "苏州市" | city == "南通市" | city == "盐城市" | city == "扬州市" | city == "镇江市" | city == "泰州市" | city == "杭州市" | city == "宁波市" | city == "嘉兴市" | city == "湖州市" | city == "绍兴市" | city == "金华市" | city == "舟山市" | city == "台州市" | city == "合肥市" | city == "芜湖市" | city == "马鞍山市" | city == "铜陵市" | city == "安庆市" | city == "滁州市" | city == "池州市" | city == "宣城市",fe vce(cluster proyear) nonest
est store m2
**(3)粤港澳城市圈
xtreg lnfirm_ai_ratio lnint_1_0 $control i.year if city == "广州市" | city == "深圳市" | city == "珠海市" | city == "佛山市" | city == "惠州市" | city == "东莞市" | city == "中山市" | city == "江门市" | city == "肇庆市",fe vce(cluster proyear) nonest
est store m3
**(4)成渝城市圈
xtreg lnfirm_ai_ratio lnint_1_0 $control i.year if city == "成都市" | city == "自贡市" | city == "泸州市" | city == "德阳市" | city == "绵阳市" | city == "遂宁市" | city == "内江市" | city == "乐山市" | city == "南充市" | city == "眉山市" | city == "宜宾市" | city == "广安市" | city == "达州市" | city == "雅安市" | city == "资阳市" | city == "重庆市",fe vce(cluster proyear) nonest
est store m4
**(5)长江中游城市圈
xtreg lnfirm_ai_ratio lnint_1_0 $control i.year if city == "武汉市" | city == "黄石市" | city == "鄂州市" | city == "黄冈市" | city == "孝感市" | city == "咸宁市" | city == "仙桃市" | city == "潜江市" | city == "天门市" | city == "襄阳市" | city == "宜昌市" | city == "荆州市" | city == "荆门市" | city == "长沙市" | city == "株洲市" | city == "湘潭市" | city == "岳阳市" | city == "益阳市" | city == "常德市" | city == "衡阳市" | city == "娄底市" | city == "南昌市" | city == "九江市" | city == "景德镇市" | city == "鹰潭市" | city == "新余市" | city == "宜春市" | city == "萍乡市" | city == "上饶市" | city == "抚州市" | city == "吉安市",fe vce(cluster proyear) nonest
est store m5
**(6)其他
xtreg lnfirm_ai_ratio lnint_1_0 $control i.year if province != "黑龙江省" & province != "辽宁省" & province != "吉林省" & city != "武汉市" & city != "黄石市" & city != "鄂州市" & city != "黄冈市" & city != "孝感市" & city != "咸宁市" & city != "仙桃市" & city != "潜江市" & city != "天门市" & city != "襄阳市" & city != "宜昌市" & city != "荆州市" & city != "荆门市" & city != "长沙市" & city != "株洲市" & city != "湘潭市" & city != "岳阳市" & city != "益阳市" & city != "常德市" & city != "衡阳市" & city != "娄底市" & city != "南昌市" & city != "九江市" & city != "景德镇市" & city != "鹰潭市" & city != "新余市" & city != "宜春市" & city != "萍乡市" & city != "上饶市" & city != "抚州市" & city != "吉安市" & city != "成都市" & city != "自贡市" & city != "泸州市" & city != "德阳市" & city != "绵阳市" & city != "遂宁市" & city != "内江市" & city != "乐山市" & city != "南充市" & city != "眉山市" & city != "宜宾市" & city != "广安市" & city != "达州市" & city != "雅安市" & city != "资阳市" & city != "重庆市" & city != "广州市" & city != "深圳市" & city != "珠海市" & city != "佛山市" & city != "惠州市" & city != "东莞市" & city != "中山市" & city != "江门市" & city != "肇庆市" & city != "上海市" & city != "南京市" & city != "无锡市" & city != "常州市" & city != "苏州市" & city != "南通市" & city != "盐城市" & city != "扬州市" & city != "镇江市" & city != "泰州市" & city != "杭州市" & city != "宁波市" & city != "嘉兴市" & city != "湖州市" & city != "绍兴市" & city != "金华市" & city != "舟山市" & city != "台州市" & city != "合肥市" & city != "芜湖市" & city != "马鞍山市" & city != "铜陵市" & city != "安庆市" & city != "滁州市" & city != "池州市" & city != "宣城市" & city != "北京市" & city != "天津市" & city != "张家口市" & city != "承德市" & city != "秦皇岛市" & city != "唐山市" & city != "沧州市" & city != "衡水市" & city != "廊坊市" & city != "保定市" & city != "石家庄市" & city != "邢台市" & city != "邯郸市" & city != "安阳市" & province != "吉林省" & province != "黑龙江省" & province != "辽宁省",fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",replace scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表6 城市群异质性（企业数量）") mtitles("京津冀" "长三角" "粤港澳" "成渝" "长江中游" "其他") star(* 0.1 ** 0.05 *** 0.001) 

*-----------------非人工智能制造业-----------------*
**(1)京津冀城市圈
xtreg lnfirm_noai_ratio lnint_1_0 $control i.year if city == "北京市" | city == "天津市" | city == "张家口市" | city == "承德市" | city == "秦皇岛市" | city == "唐山市" | city == "沧州市" | city == "衡水市" | city == "廊坊市" | city == "保定市" | city == "石家庄市" | city == "邢台市" | city == "邯郸市" | city == "安阳市",fe vce(cluster proyear) nonest
est store m1
**(2)长三角城市圈
xtreg lnfirm_noai_ratio lnint_1_0 $control i.year if city == "上海市" | city == "南京市" | city == "无锡市" | city == "常州市" | city == "苏州市" | city == "南通市" | city == "盐城市" | city == "扬州市" | city == "镇江市" | city == "泰州市" | city == "杭州市" | city == "宁波市" | city == "嘉兴市" | city == "湖州市" | city == "绍兴市" | city == "金华市" | city == "舟山市" | city == "台州市" | city == "合肥市" | city == "芜湖市" | city == "马鞍山市" | city == "铜陵市" | city == "安庆市" | city == "滁州市" | city == "池州市" | city == "宣城市",fe vce(cluster proyear) nonest
est store m2
**(3)粤港澳城市圈
xtreg lnfirm_noai_ratio lnint_1_0 $control i.year if city == "广州市" | city == "深圳市" | city == "珠海市" | city == "佛山市" | city == "惠州市" | city == "东莞市" | city == "中山市" | city == "江门市" | city == "肇庆市",fe vce(cluster proyear) nonest
est store m3
**(4)成渝城市圈
xtreg lnfirm_noai_ratio lnint_1_0 $control i.year if city == "成都市" | city == "自贡市" | city == "泸州市" | city == "德阳市" | city == "绵阳市" | city == "遂宁市" | city == "内江市" | city == "乐山市" | city == "南充市" | city == "眉山市" | city == "宜宾市" | city == "广安市" | city == "达州市" | city == "雅安市" | city == "资阳市" | city == "重庆市",fe vce(cluster proyear) nonest
est store m4
**(5)长江中游城市圈
xtreg lnfirm_noai_ratio lnint_1_0 $control i.year if city == "武汉市" | city == "黄石市" | city == "鄂州市" | city == "黄冈市" | city == "孝感市" | city == "咸宁市" | city == "仙桃市" | city == "潜江市" | city == "天门市" | city == "襄阳市" | city == "宜昌市" | city == "荆州市" | city == "荆门市" | city == "长沙市" | city == "株洲市" | city == "湘潭市" | city == "岳阳市" | city == "益阳市" | city == "常德市" | city == "衡阳市" | city == "娄底市" | city == "南昌市" | city == "九江市" | city == "景德镇市" | city == "鹰潭市" | city == "新余市" | city == "宜春市" | city == "萍乡市" | city == "上饶市" | city == "抚州市" | city == "吉安市",fe vce(cluster proyear) nonest
est store m5
**(6)其他
xtreg lnfirm_noai_ratio lnint_1_0 $control i.year if province != "黑龙江省" & province != "辽宁省" & province != "吉林省" & city != "武汉市" & city != "黄石市" & city != "鄂州市" & city != "黄冈市" & city != "孝感市" & city != "咸宁市" & city != "仙桃市" & city != "潜江市" & city != "天门市" & city != "襄阳市" & city != "宜昌市" & city != "荆州市" & city != "荆门市" & city != "长沙市" & city != "株洲市" & city != "湘潭市" & city != "岳阳市" & city != "益阳市" & city != "常德市" & city != "衡阳市" & city != "娄底市" & city != "南昌市" & city != "九江市" & city != "景德镇市" & city != "鹰潭市" & city != "新余市" & city != "宜春市" & city != "萍乡市" & city != "上饶市" & city != "抚州市" & city != "吉安市" & city != "成都市" & city != "自贡市" & city != "泸州市" & city != "德阳市" & city != "绵阳市" & city != "遂宁市" & city != "内江市" & city != "乐山市" & city != "南充市" & city != "眉山市" & city != "宜宾市" & city != "广安市" & city != "达州市" & city != "雅安市" & city != "资阳市" & city != "重庆市" & city != "广州市" & city != "深圳市" & city != "珠海市" & city != "佛山市" & city != "惠州市" & city != "东莞市" & city != "中山市" & city != "江门市" & city != "肇庆市" & city != "上海市" & city != "南京市" & city != "无锡市" & city != "常州市" & city != "苏州市" & city != "南通市" & city != "盐城市" & city != "扬州市" & city != "镇江市" & city != "泰州市" & city != "杭州市" & city != "宁波市" & city != "嘉兴市" & city != "湖州市" & city != "绍兴市" & city != "金华市" & city != "舟山市" & city != "台州市" & city != "合肥市" & city != "芜湖市" & city != "马鞍山市" & city != "铜陵市" & city != "安庆市" & city != "滁州市" & city != "池州市" & city != "宣城市" & city != "北京市" & city != "天津市" & city != "张家口市" & city != "承德市" & city != "秦皇岛市" & city != "唐山市" & city != "沧州市" & city != "衡水市" & city != "廊坊市" & city != "保定市" & city != "石家庄市" & city != "邢台市" & city != "邯郸市" & city != "安阳市" & province != "吉林省" & province != "黑龙江省" & province != "辽宁省",fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",append scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表6 城市群异质性（企业数量）") mtitles("京津冀" "长三角" "粤港澳" "成渝" "长江中游" "其他") star(* 0.1 ** 0.05 *** 0.001)

*-----------------人工智能与非人工智能制造业比值-----------------*
**(1)京津冀城市圈
xtreg lnratio lnint_1_0 $control i.year if city == "北京市" | city == "天津市" | city == "张家口市" | city == "承德市" | city == "秦皇岛市" | city == "唐山市" | city == "沧州市" | city == "衡水市" | city == "廊坊市" | city == "保定市" | city == "石家庄市" | city == "邢台市" | city == "邯郸市" | city == "安阳市",fe vce(cluster proyear) nonest
est store m1
**(2)长三角城市圈
xtreg lnratio lnint_1_0 $control i.year if city == "上海市" | city == "南京市" | city == "无锡市" | city == "常州市" | city == "苏州市" | city == "南通市" | city == "盐城市" | city == "扬州市" | city == "镇江市" | city == "泰州市" | city == "杭州市" | city == "宁波市" | city == "嘉兴市" | city == "湖州市" | city == "绍兴市" | city == "金华市" | city == "舟山市" | city == "台州市" | city == "合肥市" | city == "芜湖市" | city == "马鞍山市" | city == "铜陵市" | city == "安庆市" | city == "滁州市" | city == "池州市" | city == "宣城市",fe vce(cluster proyear) nonest
est store m2
**(3)粤港澳城市圈
xtreg lnratio lnint_1_0 $control i.year if city == "广州市" | city == "深圳市" | city == "珠海市" | city == "佛山市" | city == "惠州市" | city == "东莞市" | city == "中山市" | city == "江门市" | city == "肇庆市",fe vce(cluster proyear) nonest
est store m3
**(4)成渝城市圈
xtreg lnratio lnint_1_0 $control i.year if city == "成都市" | city == "自贡市" | city == "泸州市" | city == "德阳市" | city == "绵阳市" | city == "遂宁市" | city == "内江市" | city == "乐山市" | city == "南充市" | city == "眉山市" | city == "宜宾市" | city == "广安市" | city == "达州市" | city == "雅安市" | city == "资阳市" | city == "重庆市",fe vce(cluster proyear) nonest
est store m4
**(5)长江中游城市圈
xtreg lnratio lnint_1_0 $control i.year if city == "武汉市" | city == "黄石市" | city == "鄂州市" | city == "黄冈市" | city == "孝感市" | city == "咸宁市" | city == "仙桃市" | city == "潜江市" | city == "天门市" | city == "襄阳市" | city == "宜昌市" | city == "荆州市" | city == "荆门市" | city == "长沙市" | city == "株洲市" | city == "湘潭市" | city == "岳阳市" | city == "益阳市" | city == "常德市" | city == "衡阳市" | city == "娄底市" | city == "南昌市" | city == "九江市" | city == "景德镇市" | city == "鹰潭市" | city == "新余市" | city == "宜春市" | city == "萍乡市" | city == "上饶市" | city == "抚州市" | city == "吉安市",fe vce(cluster proyear) nonest
est store m5
**(6)其他
xtreg lnratio lnint_1_0 $control i.year if province != "黑龙江省" & province != "辽宁省" & province != "吉林省" & city != "武汉市" & city != "黄石市" & city != "鄂州市" & city != "黄冈市" & city != "孝感市" & city != "咸宁市" & city != "仙桃市" & city != "潜江市" & city != "天门市" & city != "襄阳市" & city != "宜昌市" & city != "荆州市" & city != "荆门市" & city != "长沙市" & city != "株洲市" & city != "湘潭市" & city != "岳阳市" & city != "益阳市" & city != "常德市" & city != "衡阳市" & city != "娄底市" & city != "南昌市" & city != "九江市" & city != "景德镇市" & city != "鹰潭市" & city != "新余市" & city != "宜春市" & city != "萍乡市" & city != "上饶市" & city != "抚州市" & city != "吉安市" & city != "成都市" & city != "自贡市" & city != "泸州市" & city != "德阳市" & city != "绵阳市" & city != "遂宁市" & city != "内江市" & city != "乐山市" & city != "南充市" & city != "眉山市" & city != "宜宾市" & city != "广安市" & city != "达州市" & city != "雅安市" & city != "资阳市" & city != "重庆市" & city != "广州市" & city != "深圳市" & city != "珠海市" & city != "佛山市" & city != "惠州市" & city != "东莞市" & city != "中山市" & city != "江门市" & city != "肇庆市" & city != "上海市" & city != "南京市" & city != "无锡市" & city != "常州市" & city != "苏州市" & city != "南通市" & city != "盐城市" & city != "扬州市" & city != "镇江市" & city != "泰州市" & city != "杭州市" & city != "宁波市" & city != "嘉兴市" & city != "湖州市" & city != "绍兴市" & city != "金华市" & city != "舟山市" & city != "台州市" & city != "合肥市" & city != "芜湖市" & city != "马鞍山市" & city != "铜陵市" & city != "安庆市" & city != "滁州市" & city != "池州市" & city != "宣城市" & city != "北京市" & city != "天津市" & city != "张家口市" & city != "承德市" & city != "秦皇岛市" & city != "唐山市" & city != "沧州市" & city != "衡水市" & city != "廊坊市" & city != "保定市" & city != "石家庄市" & city != "邢台市" & city != "邯郸市" & city != "安阳市" & province != "吉林省" & province != "黑龙江省" & province != "辽宁省",fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",append scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表6 城市群异质性（企业数量）") mtitles("京津冀" "长三角" "粤港澳" "成渝" "长江中游" "其他") star(* 0.1 ** 0.05 *** 0.001) 


*表7
gen lnfirm_ai_ratio_xinzen = log(firm_ai_ratio_xinzen)
gen lnfirm_noai_ratio_xinzen = log(firm_noai_ratio_xinzen)
gen lnratio_xinzen = log(ratio_xinzen)
*-----------------人工智能制造业-----------------*
**(1)京津冀城市圈
xtreg lnfirm_ai_ratio_xinzen lnint_3 $control i.year if city == "北京市" | city == "天津市" | city == "张家口市" | city == "承德市" | city == "秦皇岛市" | city == "唐山市" | city == "沧州市" | city == "衡水市" | city == "廊坊市" | city == "保定市" | city == "石家庄市" | city == "邢台市" | city == "邯郸市" | city == "安阳市",fe vce(cluster proyear) nonest
est store m1
**(2)长三角城市圈
xtreg lnfirm_ai_ratio_xinzen lnint_3 $control i.year if city == "上海市" | city == "南京市" | city == "无锡市" | city == "常州市" | city == "苏州市" | city == "南通市" | city == "盐城市" | city == "扬州市" | city == "镇江市" | city == "泰州市" | city == "杭州市" | city == "宁波市" | city == "嘉兴市" | city == "湖州市" | city == "绍兴市" | city == "金华市" | city == "舟山市" | city == "台州市" | city == "合肥市" | city == "芜湖市" | city == "马鞍山市" | city == "铜陵市" | city == "安庆市" | city == "滁州市" | city == "池州市" | city == "宣城市",fe vce(cluster proyear) nonest
est store m2
**(3)粤港澳城市圈
xtreg lnfirm_ai_ratio_xinzen lnint_3 $control i.year if city == "广州市" | city == "深圳市" | city == "珠海市" | city == "佛山市" | city == "惠州市" | city == "东莞市" | city == "中山市" | city == "江门市" | city == "肇庆市",fe vce(cluster proyear) nonest
est store m3
**(4)成渝城市圈
xtreg lnfirm_ai_ratio_xinzen lnint_3 $control i.year if city == "成都市" | city == "自贡市" | city == "泸州市" | city == "德阳市" | city == "绵阳市" | city == "遂宁市" | city == "内江市" | city == "乐山市" | city == "南充市" | city == "眉山市" | city == "宜宾市" | city == "广安市" | city == "达州市" | city == "雅安市" | city == "资阳市" | city == "重庆市",fe vce(cluster proyear) nonest
est store m4
**(5)长江中游城市圈
xtreg lnfirm_ai_ratio_xinzen lnint_3 $control i.year if city == "武汉市" | city == "黄石市" | city == "鄂州市" | city == "黄冈市" | city == "孝感市" | city == "咸宁市" | city == "仙桃市" | city == "潜江市" | city == "天门市" | city == "襄阳市" | city == "宜昌市" | city == "荆州市" | city == "荆门市" | city == "长沙市" | city == "株洲市" | city == "湘潭市" | city == "岳阳市" | city == "益阳市" | city == "常德市" | city == "衡阳市" | city == "娄底市" | city == "南昌市" | city == "九江市" | city == "景德镇市" | city == "鹰潭市" | city == "新余市" | city == "宜春市" | city == "萍乡市" | city == "上饶市" | city == "抚州市" | city == "吉安市",fe vce(cluster proyear) nonest
est store m5
**(6)其他
xtreg lnfirm_ai_ratio_xinzen lnint_3 $control i.year if province != "黑龙江省" & province != "辽宁省" & province != "吉林省" & city != "武汉市" & city != "黄石市" & city != "鄂州市" & city != "黄冈市" & city != "孝感市" & city != "咸宁市" & city != "仙桃市" & city != "潜江市" & city != "天门市" & city != "襄阳市" & city != "宜昌市" & city != "荆州市" & city != "荆门市" & city != "长沙市" & city != "株洲市" & city != "湘潭市" & city != "岳阳市" & city != "益阳市" & city != "常德市" & city != "衡阳市" & city != "娄底市" & city != "南昌市" & city != "九江市" & city != "景德镇市" & city != "鹰潭市" & city != "新余市" & city != "宜春市" & city != "萍乡市" & city != "上饶市" & city != "抚州市" & city != "吉安市" & city != "成都市" & city != "自贡市" & city != "泸州市" & city != "德阳市" & city != "绵阳市" & city != "遂宁市" & city != "内江市" & city != "乐山市" & city != "南充市" & city != "眉山市" & city != "宜宾市" & city != "广安市" & city != "达州市" & city != "雅安市" & city != "资阳市" & city != "重庆市" & city != "广州市" & city != "深圳市" & city != "珠海市" & city != "佛山市" & city != "惠州市" & city != "东莞市" & city != "中山市" & city != "江门市" & city != "肇庆市" & city != "上海市" & city != "南京市" & city != "无锡市" & city != "常州市" & city != "苏州市" & city != "南通市" & city != "盐城市" & city != "扬州市" & city != "镇江市" & city != "泰州市" & city != "杭州市" & city != "宁波市" & city != "嘉兴市" & city != "湖州市" & city != "绍兴市" & city != "金华市" & city != "舟山市" & city != "台州市" & city != "合肥市" & city != "芜湖市" & city != "马鞍山市" & city != "铜陵市" & city != "安庆市" & city != "滁州市" & city != "池州市" & city != "宣城市" & city != "北京市" & city != "天津市" & city != "张家口市" & city != "承德市" & city != "秦皇岛市" & city != "唐山市" & city != "沧州市" & city != "衡水市" & city != "廊坊市" & city != "保定市" & city != "石家庄市" & city != "邢台市" & city != "邯郸市" & city != "安阳市" & province != "吉林省" & province != "黑龙江省" & province != "辽宁省",fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",replace scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表7 城市群异质性（新增企业数量）") mtitles("京津冀" "长三角" "粤港澳" "成渝" "长江中游" "其他") star(* 0.1 ** 0.05 *** 0.001) 

*-----------------非人工智能制造业-----------------*
**(1)京津冀城市圈
xtreg lnfirm_noai_ratio_xinzen lnint_3 $control i.year if city == "北京市" | city == "天津市" | city == "张家口市" | city == "承德市" | city == "秦皇岛市" | city == "唐山市" | city == "沧州市" | city == "衡水市" | city == "廊坊市" | city == "保定市" | city == "石家庄市" | city == "邢台市" | city == "邯郸市" | city == "安阳市",fe vce(cluster proyear) nonest
est store m1
**(2)长三角城市圈
xtreg lnfirm_noai_ratio_xinzen lnint_3 $control i.year if city == "上海市" | city == "南京市" | city == "无锡市" | city == "常州市" | city == "苏州市" | city == "南通市" | city == "盐城市" | city == "扬州市" | city == "镇江市" | city == "泰州市" | city == "杭州市" | city == "宁波市" | city == "嘉兴市" | city == "湖州市" | city == "绍兴市" | city == "金华市" | city == "舟山市" | city == "台州市" | city == "合肥市" | city == "芜湖市" | city == "马鞍山市" | city == "铜陵市" | city == "安庆市" | city == "滁州市" | city == "池州市" | city == "宣城市",fe vce(cluster proyear) nonest
est store m2
**(3)粤港澳城市圈
xtreg lnfirm_noai_ratio_xinzen lnint_3 $control i.year if city == "广州市" | city == "深圳市" | city == "珠海市" | city == "佛山市" | city == "惠州市" | city == "东莞市" | city == "中山市" | city == "江门市" | city == "肇庆市",fe vce(cluster proyear) nonest
est store m3
**(4)成渝城市圈
xtreg lnfirm_noai_ratio_xinzen lnint_3 $control i.year if city == "成都市" | city == "自贡市" | city == "泸州市" | city == "德阳市" | city == "绵阳市" | city == "遂宁市" | city == "内江市" | city == "乐山市" | city == "南充市" | city == "眉山市" | city == "宜宾市" | city == "广安市" | city == "达州市" | city == "雅安市" | city == "资阳市" | city == "重庆市",fe vce(cluster proyear) nonest
est store m4
**(5)长江中游城市圈
xtreg lnfirm_noai_ratio_xinzen lnint_3 $control i.year if city == "武汉市" | city == "黄石市" | city == "鄂州市" | city == "黄冈市" | city == "孝感市" | city == "咸宁市" | city == "仙桃市" | city == "潜江市" | city == "天门市" | city == "襄阳市" | city == "宜昌市" | city == "荆州市" | city == "荆门市" | city == "长沙市" | city == "株洲市" | city == "湘潭市" | city == "岳阳市" | city == "益阳市" | city == "常德市" | city == "衡阳市" | city == "娄底市" | city == "南昌市" | city == "九江市" | city == "景德镇市" | city == "鹰潭市" | city == "新余市" | city == "宜春市" | city == "萍乡市" | city == "上饶市" | city == "抚州市" | city == "吉安市",fe vce(cluster proyear) nonest
est store m5
**(6)其他
xtreg lnfirm_noai_ratio_xinzen lnint_3 $control i.year if province != "黑龙江省" & province != "辽宁省" & province != "吉林省" & city != "武汉市" & city != "黄石市" & city != "鄂州市" & city != "黄冈市" & city != "孝感市" & city != "咸宁市" & city != "仙桃市" & city != "潜江市" & city != "天门市" & city != "襄阳市" & city != "宜昌市" & city != "荆州市" & city != "荆门市" & city != "长沙市" & city != "株洲市" & city != "湘潭市" & city != "岳阳市" & city != "益阳市" & city != "常德市" & city != "衡阳市" & city != "娄底市" & city != "南昌市" & city != "九江市" & city != "景德镇市" & city != "鹰潭市" & city != "新余市" & city != "宜春市" & city != "萍乡市" & city != "上饶市" & city != "抚州市" & city != "吉安市" & city != "成都市" & city != "自贡市" & city != "泸州市" & city != "德阳市" & city != "绵阳市" & city != "遂宁市" & city != "内江市" & city != "乐山市" & city != "南充市" & city != "眉山市" & city != "宜宾市" & city != "广安市" & city != "达州市" & city != "雅安市" & city != "资阳市" & city != "重庆市" & city != "广州市" & city != "深圳市" & city != "珠海市" & city != "佛山市" & city != "惠州市" & city != "东莞市" & city != "中山市" & city != "江门市" & city != "肇庆市" & city != "上海市" & city != "南京市" & city != "无锡市" & city != "常州市" & city != "苏州市" & city != "南通市" & city != "盐城市" & city != "扬州市" & city != "镇江市" & city != "泰州市" & city != "杭州市" & city != "宁波市" & city != "嘉兴市" & city != "湖州市" & city != "绍兴市" & city != "金华市" & city != "舟山市" & city != "台州市" & city != "合肥市" & city != "芜湖市" & city != "马鞍山市" & city != "铜陵市" & city != "安庆市" & city != "滁州市" & city != "池州市" & city != "宣城市" & city != "北京市" & city != "天津市" & city != "张家口市" & city != "承德市" & city != "秦皇岛市" & city != "唐山市" & city != "沧州市" & city != "衡水市" & city != "廊坊市" & city != "保定市" & city != "石家庄市" & city != "邢台市" & city != "邯郸市" & city != "安阳市" & province != "吉林省" & province != "黑龙江省" & province != "辽宁省",fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",append scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表7 城市群异质性（新增企业数量）") mtitles("京津冀" "长三角" "粤港澳" "成渝" "长江中游" "其他") star(* 0.1 ** 0.05 *** 0.001)

*-----------------人工智能与非人工智能制造业比值-----------------*
**(1)京津冀城市圈
xtreg lnratio_xinzen lnint_3 $control i.year if city == "北京市" | city == "天津市" | city == "张家口市" | city == "承德市" | city == "秦皇岛市" | city == "唐山市" | city == "沧州市" | city == "衡水市" | city == "廊坊市" | city == "保定市" | city == "石家庄市" | city == "邢台市" | city == "邯郸市" | city == "安阳市",fe vce(cluster proyear) nonest
est store m1
**(2)长三角城市圈
xtreg lnratio_xinzen lnint_3 $control i.year if city == "上海市" | city == "南京市" | city == "无锡市" | city == "常州市" | city == "苏州市" | city == "南通市" | city == "盐城市" | city == "扬州市" | city == "镇江市" | city == "泰州市" | city == "杭州市" | city == "宁波市" | city == "嘉兴市" | city == "湖州市" | city == "绍兴市" | city == "金华市" | city == "舟山市" | city == "台州市" | city == "合肥市" | city == "芜湖市" | city == "马鞍山市" | city == "铜陵市" | city == "安庆市" | city == "滁州市" | city == "池州市" | city == "宣城市",fe vce(cluster proyear) nonest
est store m2
**(3)粤港澳城市圈
xtreg lnratio_xinzen lnint_3 $control i.year if city == "广州市" | city == "深圳市" | city == "珠海市" | city == "佛山市" | city == "惠州市" | city == "东莞市" | city == "中山市" | city == "江门市" | city == "肇庆市",fe vce(cluster proyear) nonest
est store m3
**(4)成渝城市圈
xtreg lnratio_xinzen lnint_3 $control i.year if city == "成都市" | city == "自贡市" | city == "泸州市" | city == "德阳市" | city == "绵阳市" | city == "遂宁市" | city == "内江市" | city == "乐山市" | city == "南充市" | city == "眉山市" | city == "宜宾市" | city == "广安市" | city == "达州市" | city == "雅安市" | city == "资阳市" | city == "重庆市",fe vce(cluster proyear) nonest
est store m4
**(5)长江中游城市圈
xtreg lnratio_xinzen lnint_3 $control i.year if city == "武汉市" | city == "黄石市" | city == "鄂州市" | city == "黄冈市" | city == "孝感市" | city == "咸宁市" | city == "仙桃市" | city == "潜江市" | city == "天门市" | city == "襄阳市" | city == "宜昌市" | city == "荆州市" | city == "荆门市" | city == "长沙市" | city == "株洲市" | city == "湘潭市" | city == "岳阳市" | city == "益阳市" | city == "常德市" | city == "衡阳市" | city == "娄底市" | city == "南昌市" | city == "九江市" | city == "景德镇市" | city == "鹰潭市" | city == "新余市" | city == "宜春市" | city == "萍乡市" | city == "上饶市" | city == "抚州市" | city == "吉安市",fe vce(cluster proyear) nonest
est store m5
**(6)其他
xtreg lnratio_xinzen lnint_3 $control i.year if province != "黑龙江省" & province != "辽宁省" & province != "吉林省" & city != "武汉市" & city != "黄石市" & city != "鄂州市" & city != "黄冈市" & city != "孝感市" & city != "咸宁市" & city != "仙桃市" & city != "潜江市" & city != "天门市" & city != "襄阳市" & city != "宜昌市" & city != "荆州市" & city != "荆门市" & city != "长沙市" & city != "株洲市" & city != "湘潭市" & city != "岳阳市" & city != "益阳市" & city != "常德市" & city != "衡阳市" & city != "娄底市" & city != "南昌市" & city != "九江市" & city != "景德镇市" & city != "鹰潭市" & city != "新余市" & city != "宜春市" & city != "萍乡市" & city != "上饶市" & city != "抚州市" & city != "吉安市" & city != "成都市" & city != "自贡市" & city != "泸州市" & city != "德阳市" & city != "绵阳市" & city != "遂宁市" & city != "内江市" & city != "乐山市" & city != "南充市" & city != "眉山市" & city != "宜宾市" & city != "广安市" & city != "达州市" & city != "雅安市" & city != "资阳市" & city != "重庆市" & city != "广州市" & city != "深圳市" & city != "珠海市" & city != "佛山市" & city != "惠州市" & city != "东莞市" & city != "中山市" & city != "江门市" & city != "肇庆市" & city != "上海市" & city != "南京市" & city != "无锡市" & city != "常州市" & city != "苏州市" & city != "南通市" & city != "盐城市" & city != "扬州市" & city != "镇江市" & city != "泰州市" & city != "杭州市" & city != "宁波市" & city != "嘉兴市" & city != "湖州市" & city != "绍兴市" & city != "金华市" & city != "舟山市" & city != "台州市" & city != "合肥市" & city != "芜湖市" & city != "马鞍山市" & city != "铜陵市" & city != "安庆市" & city != "滁州市" & city != "池州市" & city != "宣城市" & city != "北京市" & city != "天津市" & city != "张家口市" & city != "承德市" & city != "秦皇岛市" & city != "唐山市" & city != "沧州市" & city != "衡水市" & city != "廊坊市" & city != "保定市" & city != "石家庄市" & city != "邢台市" & city != "邯郸市" & city != "安阳市" & province != "吉林省" & province != "黑龙江省" & province != "辽宁省",fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",append scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表7 城市群异质性（新增企业数量）") mtitles("京津冀" "长三角" "粤港澳" "成渝" "长江中游" "其他") star(* 0.1 ** 0.05 *** 0.001)

*表8
*panelA
gen lnhuman_2 = log(human_2)
xtreg lnfirm_ai_ratio c.lnint_3##c.lnhuman_2 $control i.year, fe vce(cluster proyear) nonest
est store m1
xtreg lnfirm_noai_ratio c.lnint_3##c.lnhuman_2 $control i.year, fe vce(cluster proyear) nonest
est store m2
xtreg lnratio c.lnint_3##c.lnhuman_2 $control i.year, fe vce(cluster proyear) nonest
est store m3
xtreg lnfirm_ai_ratio c.lnint_3_0##c.lnhuman_2 $control i.year, fe vce(cluster proyear) nonest
est store m4
xtreg lnfirm_noai_ratio c.lnint_3_0##c.lnhuman_2 $control i.year, fe vce(cluster proyear) nonest
est store m5
xtreg lnratio c.lnint_3_0##c.lnhuman_2 $control i.year, fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",replace scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表8 不同人力资本回归结果") mtitles("Ai" "NoAi" "Ratio" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)

*panelB
gen lnmarket = log(market)
xtreg lnfirm_ai_ratio c.lnint_3##c.lnmarket $control i.year, fe vce(cluster proyear) nonest
est store m1
xtreg lnfirm_noai_ratio c.lnint_3##c.lnmarket $control i.year, fe vce(cluster proyear) nonest
est store m2
xtreg lnratio c.lnint_3##c.lnmarket $control i.year, fe vce(cluster proyear) nonest
est store m3
xtreg lnfirm_ai_ratio c.lnint_3_0##c.lnmarket $control i.year, fe vce(cluster proyear) nonest
est store m4
xtreg lnfirm_noai_ratio c.lnint_3_0##c.lnmarket $control i.year, fe vce(cluster proyear) nonest
est store m5
xtreg lnratio c.lnint_3_0##c.lnmarket $control i.year, fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",append scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("表8 不同市场化程度的回归结果") mtitles("Ai" "NoAi" "Ratio" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)

*附表：
*稳健性检验
*（1）替换核心解释变量
xtreg lnfirm_ai_ratio lnint_1_0 $control i.year, fe vce(cluster proyear) nonest
est store m1
xtreg lnfirm_noai_ratio lnint_1_0 $control i.year, fe vce(cluster proyear) nonest
est store m2
xtreg lnratio lnint_1_0 $control i.year, fe vce(cluster proyear) nonest
est store m3
reg2docx m1 m2 m3 using "实证回归结果.docx",replace scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("附表1 替换核心解释变量") mtitles("Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)

*（2）替换被解释变量
xtreg lnfirm_ai_ratio_03 lnint_3_0 $control i.year, fe vce(cluster proyear) nonest
est store m1
xtreg lnfirm_noai_ratio_03 lnint_3_0 $control i.year, fe vce(cluster proyear) nonest
est store m2
xtreg lnratio_03 lnint_3_0 $control i.year, fe vce(cluster proyear) nonest
est store m3
xtreg lnfirm_ai_ratio_03 lnint_1_0 $control i.year, fe vce(cluster proyear) nonest
est store m4
xtreg lnfirm_noai_ratio_03 lnint_1_0 $control i.year, fe vce(cluster proyear) nonest
est store m5
xtreg lnratio_03 lnint_1_0 $control i.year, fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",replace scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("附表2 替换被解释变量") mtitles("Ai" "NoAi" "Ratio" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)

*（3）更换样本
xtreg lnfirm_ai_ratio lnint_3_0 $control i.year if city != "北京市" & city != "天津市" & city != "上海市" & city != "重庆市", fe vce(cluster proyear) nonest
est store m1
xtreg lnfirm_noai_ratio lnint_3_0 $control i.year if city != "北京市" & city != "天津市" & city != "上海市" & city != "重庆市", fe vce(cluster proyear) nonest
est store m2
xtreg lnratio lnint_3_0 $control i.year if city != "北京市" & city != "天津市" & city != "上海市" & city != "重庆市", fe vce(cluster proyear) nonest
est store m3
xtreg lnfirm_ai_ratio lnint_1_0 $control i.year if city != "北京市" & city != "天津市" & city != "上海市" & city != "重庆市", fe vce(cluster proyear) nonest
est store m4
xtreg lnfirm_noai_ratio lnint_1_0 $control i.year if city != "北京市" & city != "天津市" & city != "上海市" & city != "重庆市", fe vce(cluster proyear) nonest
est store m5
xtreg lnratio lnint_1_0 $control i.year if city != "北京市" & city != "天津市" & city != "上海市" & city != "重庆市", fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",replace scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2004b.year 2005.year 2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("附表3 更换样本") mtitles("Ai" "NoAi" "Ratio" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)

*（4）滞后解释变量检验
xtreg lnfirm_ai_ratio l.lnint_3_0 $control i.year, fe vce(cluster proyear) nonest
est store m1
xtreg lnfirm_noai_ratio l.lnint_3_0 $control i.year, fe vce(cluster proyear) nonest
est store m2
xtreg lnratio l.lnint_3_0 $control i.year, fe vce(cluster proyear) nonest
est store m3
xtreg lnfirm_ai_ratio_03 l.lnint_1_0 $control i.year, fe vce(cluster proyear) nonest
est store m4
xtreg lnfirm_noai_ratio_03 l.lnint_1_0 $control i.year, fe vce(cluster proyear) nonest
est store m5
xtreg lnratio_03 l.lnint_1_0 $control i.year, fe vce(cluster proyear) nonest
est store m6
reg2docx m1 m2 m3 m4 m5 m6 using "实证回归结果.docx",replace scalars(N r2(%9.4f)) b(%9.4f) se(%9.4f) drop(2006.year 2007.year 2008.year 2009.year 2010.year 2011.year 2012.year 2013.year 2014.year 2015.year 2016.year 2017.year 2018.year) title("附表4 滞后解释变量检验") mtitles("Ai" "NoAi" "Ratio" "Ai" "NoAi" "Ratio") star(* 0.1 ** 0.05 *** 0.001)